明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 300|回复: 12

[提问] 请教!如何屏蔽CAD自带命令的错误提示

[复制链接]
发表于 2024-7-8 19:30 | 显示全部楼层 |阅读模式
  1. (defun c:tt ()
  2.   (setq en (car(entsel)))
  3.   (setq pt (getpoint))
  4.   (command-s "break" en "F" pt "@")
  5. )


执行上方代码以后、命令行会有"点无效"的提示、
我用(setvar "cmdecho" 0)这个无法屏蔽这个错误提示、
所以请教一下大家!
有没有其他变量可以屏蔽掉这个错误提示
"觉得好,就打赏"
还没有人打赏,支持一下
 楼主| 发表于 2024-7-9 12:52 | 显示全部楼层
ljpnb 发表于 2024-7-9 09:54
(command  "break"  (entsel)  "F" (getpoint) "@")
或是(command "break" pause "f" pause "@")
不过注 ...

谢谢!我用的(vl-cmdf "._break" en "_non" pt "_non" pt) 这种形式就好了
发表于 2024-7-9 09:54 | 显示全部楼层
(command  "break"  (entsel)  "F" (getpoint) "@")
或是(command "break" pause "f" pause "@")
不过注意捕捉点的设置
 楼主| 发表于 2024-7-9 08:17 | 显示全部楼层
你有种再说一遍 发表于 2024-7-9 08:10
根本不需要屏蔽,错误就是用来看的,if绕过错误参数才是关键

嗯嗯  搞出来了、换种执行模式就行了
发表于 2024-7-8 22:58 | 显示全部楼层
好像这类命令的提示是没法屏蔽,一出错就会提示。
发表于 2024-7-8 23:31 | 显示全部楼层
可以用出错跳过试试  vl-catch-all-apply
 楼主| 发表于 2024-7-9 07:43 | 显示全部楼层
我比太阳还要晒 发表于 2024-7-8 23:31
可以用出错跳过试试  vl-catch-all-apply

谢谢、我试了一下貌似不太行
发表于 2024-7-9 08:10 | 显示全部楼层
根本不需要屏蔽,错误就是用来看的,if绕过错误参数才是关键
发表于 2024-7-9 09:19 | 显示全部楼层
xiaocainiao 发表于 2024-7-9 08:17
嗯嗯  搞出来了、换种执行模式就行了

怎么搞出来的?
 楼主| 发表于 2024-7-9 12:51 | 显示全部楼层
MZ_li 发表于 2024-7-9 09:19
怎么搞出来的?

(vl-cmdf "._break" en "_non" pt "_non" pt) 换成这种的了
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-7-13 05:29 , Processed in 0.146115 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表